SMOKEINFO(1)

NAME
smokeinfo - poll smokeping site for numeric information

SYNOPSIS
smokeinfo path/to/config.cfg [options]

  --start x                     rrd graph start time. (default now-24h)

  --end y                       rrd graph end time. (default now)

  --filter pattern              search pattern for node selection

  --mode plain (default)        how to use the pattern
                                - plain
                                - recursive
                                - regexp

  --separator ; (default)

  --format %le (default)

  --no-head                      do not print a header

  --man                          show man-page and exit
  -h, --help                     display this help and exit
  --version                      output version information and exit

DESCRIPTION
SmokeInfo is a simple frontend to the Smokeping::Info module. It provides access to numeric data stored in the rrd files.

Note that --start and --end are passed directly to rrd graph. This means they work on the same syntax.

  Examples
Get all data all nodes

 smokeinfo /etc/smokeping/config

Only show nodes directly under /Customers

 smokeinfo --filter=/Customers/ /etc/smokeping/config

Show all nodes under /Customers

 smokeinfo --mode=recursive --filter=/Customers/ /etc/smokeping/config

Show all nodes with '_wlan_' in the name

 smokeinfo --mode=regexp --filter=_wlan_ /etc/smokeping/config

SEE ALSO
smokeping(1)

COPYRIGHT
Copyright (c) 2009 by OETIKER+PARTNER AG. All rights reserved.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

AUTHOR
Tobi Oetiker <tobi@oetiker.ch>

HISTORY
 2009-01-05 to Initial Version